import React from 'react';
import type { SimpleInsight } from '../Context.js';
import './GuidanceItemBadge.css';

const GuidanceItemBadge = ({ insight = undefined }: { insight?: SimpleInsight | undefined }) => {
  const isGenerated = insight?.initialValue === insight?.value;
  if (!insight || !insight.value || isGenerated) {
    return null;
  }
  return <span className="guidance-item-badge">Customized</span>;
};

export default GuidanceItemBadge;
